Creates a new agreement questionnaire of the given agreementType
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"frameAncestor": "<string>",
"returnUrl": "<string>",
"termsAgreementFormat": "anchorage"
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}"
payload = {
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"frameAncestor": "<string>",
"returnUrl": "<string>",
"termsAgreementFormat": "anchorage"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legalEntityName: '<string>',
signerEmail: '<string>',
signerFirstName: '<string>',
signerLastName: '<string>',
frameAncestor: '<string>',
returnUrl: '<string>',
termsAgreementFormat: 'anchorage'
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Creates a new agreement questionnaire of the given agreementType
Permissions required: Onboarding Creates a new agreement questionnaire
POST
/
onboarding
/
agreements
/
{agreementType}
Creates a new agreement questionnaire of the given agreementType
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"frameAncestor": "<string>",
"returnUrl": "<string>",
"termsAgreementFormat": "anchorage"
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}"
payload = {
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"frameAncestor": "<string>",
"returnUrl": "<string>",
"termsAgreementFormat": "anchorage"
}
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
legalEntityName: '<string>',
signerEmail: '<string>',
signerFirstName: '<string>',
signerLastName: '<string>',
frameAncestor: '<string>',
returnUrl: '<string>',
termsAgreementFormat: 'anchorage'
})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"legalEntityName": "<string>",
"signerEmail": "<string>",
"signerFirstName": "<string>",
"signerLastName": "<string>",
"status": "UNSPECIFIED",
"termsAgreementFormat": "anchorage",
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The type of the agreement
Available options:
terms Body
application/json
Legal entity name of the customer
Email of the signer
First name of the signer
Last name of the signer
URL where the terms and conditions link should be embedded
URL of the page to return to once the terms and conditions have been accepted
Terms and Conditions format
Available options:
anchorage, docusign Response
Successfully creates a new agreement questionnaire
Show child attributes
Show child attributes
Was this page helpful?